package old;
import java.io.FileInputStream;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.Statement;
public class DBTesting {
	Connection con;
	public DBTesting(){
		try {
			//Register the JDBC Driver for MySQL 
			//Not sure why this is needed, but it seems to be
			Class.forName("com.mysql.jdbc.Driver");
			
		}catch (Exception e){
			System.out.println("Couldn't Load jdbc Driver!");
			e.printStackTrace(); }
		try {
			//Build Database URL, we'll just use localhost here
			String url = "jdbc:mysql://localhost:3306/test";
			
			//Build a connection
			con = DriverManager.getConnection(url, "sheller", "apassword!");
						
			}catch(Exception e){ 
				System.out.println("Couldn't Connect!!!");
				e.printStackTrace(); }
		
	}
	public static void main(String[] args) {
//		Statement stmt;
		DBTesting me = new DBTesting();
		me.createNode(me.con, "Node Label", 2250);
		
	}

	
	//function to create nodes
	public void createNode(Connection c, String label, int TempID){
		try {
		//Build a prepared Statement
		PreparedStatement addNode = c.prepareStatement(
				"INSERT INTO node VALUES(NULL, ?, ?)"
				);
		//Assign designated Values
		addNode.setString(1, label);
		addNode.setInt(2, TempID);
		addNode.execute();
		} catch (Exception e){e.printStackTrace();}
		
	}
	
	
	
	//This is to read the Database Creation 
	//commands into a string for use by the
	//jdbc driver. 
	public String GetDBStructure(){
		String DBCreate = "";
		try{
		FileInputStream f = new FileInputStream("nodeDB.sql");
		int length = f.available();
		for (int i = 1; i <=length; i++){
			DBCreate = DBCreate+(char)f.read();
			}
		} catch (Exception e){
			e.printStackTrace(); 
			DBCreate = "Unable to Open Database File";
			}
		return DBCreate;
	}
 
}
